
Redmine - Defect #4499

Upgrade redmine to 0.9 gives error msg "uninitialized constant ActionController::AbstractRequest"

2009-12-28 17:50 - Nicolas Sebrecht

Status: Closed Start date: 2009-12-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Upgrading from current stable to the current official git repository gives me the error "uninitialized constant

ActionController::AbstractRequest".

Full log attached.

root@serveur:~/redmine# rails -v

Rails 2.3.5

root@serveur:~/redmine# gem -v

1.3.5

root@serveur:~/redmine# git show

commit 44a079fcd79b41e61b856e84197d9874f9fc4bb9

Author: Jean-Philippe Lang <jp_lang@yahoo.fr>

Date:   Sun Dec 27 11:57:13 2009 +0000

    Enlarge wiki content for MySQL databases (#1071).

    Limit changed from 64KB to 16MB.

    git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@3254 e93f8b46-1217-0410-a6f0-8f06a73

74b81

[...]

root@serveur:~/redmine#

 The command

  rake db:migrate RAILS_ENV="production" 

looks OK.    

Then, I've tried:

root@serveur:~/redmine# cp -Rf * /var/www/redmine/

root@serveur:~/redmine# cd /var/www/redmine

root@serveur:/var/www/redmine# chown -R redmine:redmine files log tmp

root@serveur:/var/www/redmine# chmod -R 755 files log tmp

root@serveur:/var/www/redmine# rake tmp:cache:clear

(in /var/www/redmine)

root@serveur:/var/www/redmine# rake tmp:sessions:clear

(in /var/www/redmine)

but this didn't help.

History

#1 - 2009-12-28 18:08 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Your stack trace shows:
/var/www/redmine/vendor/plugins/actionwebservice/lib/action_web_service/protocol/abstract.rb

 which is no longer present in 0.9. Do a fresh checkout and retry before reopening this ticket please.

#2 - 2009-12-28 18:37 - Nicolas Sebrecht

Jean-Philippe Lang wrote:

Your stack trace shows:

/var/www/redmine/vendor/plugins/actionwebservice/lib/action_web_service/protocol/abstract.rb

which is no longer present in 0.9. Do a fresh checkout and retry before reopening this ticket please.

 Thank you very much Jean-Philippe, this did it.

But I wonder how to upgrade, then. My clone/checkout is not in my installation path. 'cp -fR' isn't the good way to update the destination files.

Does redmine provide a command to upgrade them ? I wasn't able to find it in the doc.

Thanks,

#3 - 2009-12-30 01:09 - Eric Davis

Nicolas Sebrecht wrote:

But I wonder how to upgrade, then. My clone/checkout is not in my installation path. 'cp -fR' isn't the good way to update the destination files.

Does redmine provide a command to upgrade them ? I wasn't able to find it in the doc.

 Copying files won't be able to get removed or renamed files.  The best ways to upgrade is to:

1. Use your checkout/clone as the installed Redmine (best option)

2. Copy the checkout to a new directory and move specific files into the new directory as your installation

Both of these are described in the RedmineUpgrade (Step 3).

#4 - 2009-12-30 09:33 - Nicolas Sebrecht

Eric Davis wrote:

Nicolas Sebrecht wrote:

But I wonder how to upgrade, then. My clone/checkout is not in my installation path. 'cp -fR' isn't the good way to update the destination

files.

Does redmine provide a command to upgrade them ? I wasn't able to find it in the doc.

 Copying files won't be able to get removed or renamed files.

 I wrongly thought that unneeded files would have been ignored without causing breakages.

The best ways to upgrade is to:

1. Use your checkout/clone as the installed Redmine (best option)

2. Copy the checkout to a new directory and move specific files into the new directory as your installation

Both of these are described in the RedmineUpgrade (Step 3).

 Thank you Eric. I did the first option before reporting bug http://www.redmine.org/issues/4503 .

#5 - 2010-02-02 16:39 - Jack S.

I got the same error. I did download redmine from sourceforge and made a new installation. Every thing works fine, until i started mongrel_cluster.

For me this hint did work

http://old.nabble.com/Problem-when-migrating-from-rails-2.2.2-to-rails-2.3.2-on-linux--SLES10-%2B-apache-2-td22961256.html

It seems like a mongrel_cluster issue, isn't it?

I made a find-grep for AbstractRequest
find . -name *.rb -exec grep -l AbstractRequest {} \;

 ./vendor/plugins/open_id_authentication/lib/open_id_authentication/request.rb

./vendor/rails/actionpack/lib/action_controller/test_process.rb

./lib/redmine/utils.rb

Is it ok, that AbstractRequest is used still?

#6 - 2010-02-04 23:47 - Andrew R Jackson

I also had this error for a fresh install of redmine 0.9.1.

The link Jack mentioned also solved the problem for me: add the abstract_request.rb within config/initializers/ with appropriate and minimal code.

0.9.1 worked after that.
